## i915-4.8-4.4-dkms 4.8.17-4somerville1

=== i915-4.8-4.4-4.8.17/Makefile ===
KVER        := $(shell uname -r)
KBASE       := /lib/modules/$(KVER)
KSRC        := $(KBASE)/source
KBUILD      := $(KBASE)/build
MOD_DIR     := $(KBASE)/kernel
PWD         := $(shell pwd)

INC_INCPATH := $(KBUILD_EXTMOD)/include
DRMD        := drivers/gpu/drm/

.PHONY: default clean modules load unload install patch

# make sure our dkms includes override local ones:
LINUXINCLUDE := -I$(INC_INCPATH) -I$(INC_INCPATH)/drm -I$(INC_INCPATH)/uapi $(LINUXINCLUDE)
LINUXINCLUDE += -I$(KBUILD_EXTMOD)/drivers/gpu/drm/amd/include
ccflags-y    := -Iinclude/drm

intel_ips-y := $(patsubst %,drivers/platform/x86/%.o,intel_ips)

obj-$(CONFIG_INTEL_IPS)          += intel_ips.o

BUILD_MODULES  := intel_ips.o

obj-m := $(BUILD_MODULES)
obj-m += drivers/gpu/drm/

modules: $(KBUILD) $(patsubst %.o,%.c,$(BUILD_MODULES))
	$(MAKE) -C $(KBUILD) M=$(PWD) O=$(KBUILD) modules

clean:
	rm -rf *.o *.ko *.cmd .*.cmd .tmp_versions

=== i915-4.8-4.4-4.8.17/drivers/gpu/drm/Makefile ===

# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

drm-y       :=	drm_auth.o drm_bufs.o drm_cache.o \
		drm_context.o drm_dma.o \
		drm_fops.o drm_gem.o drm_ioctl.o drm_irq.o \
		drm_lock.o drm_memory.o drm_drv.o drm_vm.o \
		drm_scatter.o drm_pci.o \
		drm_platform.o drm_sysfs.o drm_hashtab.o drm_mm.o \
		drm_crtc.o drm_fourcc.o drm_modes.o drm_edid.o \
		drm_info.o drm_debugfs.o drm_encoder_slave.o \
		drm_trace_points.o drm_global.o drm_prime.o \
		drm_rect.o drm_vma_manager.o drm_flip_work.o \
		drm_modeset_lock.o drm_atomic.o drm_bridge.o

drm-$(CONFIG_COMPAT) += drm_ioc32.o
drm-$(CONFIG_DRM_GEM_CMA_HELPER) += drm_gem_cma_helper.o
drm-$(CONFIG_PCI) += ati_pcigart.o
drm-$(CONFIG_DRM_PANEL) += drm_panel.o
drm-$(CONFIG_OF) += drm_of.o
drm-$(CONFIG_AGP) += drm_agpsupport.o

drm_kms_helper-y := drm_crtc_helper.o drm_dp_helper.o drm_probe_helper.o \
		drm_plane_helper.o drm_dp_mst_topology.o drm_atomic_helper.o \
		drm_kms_helper_common.o drm_dp_dual_mode_helper.o \
		drm_simple_kms_helper.o drm_blend.o

drm_kms_helper-$(CONFIG_DRM_LOAD_EDID_FIRMWARE) += drm_edid_load.o
drm_kms_helper-$(CONFIG_DRM_FBDEV_EMULATION) += drm_fb_helper.o
drm_kms_helper-$(CONFIG_DRM_KMS_CMA_HELPER) += drm_fb_cma_helper.o
drm_kms_helper-$(CONFIG_DRM_DP_AUX_CHARDEV) += drm_dp_aux_dev.o

obj-$(CONFIG_DRM_KMS_HELPER) += drm_kms_helper.o

CFLAGS_drm_trace_points.o := -I$(src)

obj-$(CONFIG_DRM)	+= drm.o
#obj-$(CONFIG_DRM_MIPI_DSI) += drm_mipi_dsi.o
#obj-$(CONFIG_DRM_ARM)	+= arm/
obj-$(CONFIG_DRM_TTM)	+= ttm/
#obj-$(CONFIG_DRM_TDFX)	+= tdfx/
#obj-$(CONFIG_DRM_R128)	+= r128/
#obj-$(CONFIG_HSA_AMD) += amd/amdkfd/
obj-$(CONFIG_DRM_RADEON)+= radeon/
#obj-$(CONFIG_DRM_AMDGPU)+= amd/amdgpu/
#obj-$(CONFIG_DRM_MGA)	+= mga/
#obj-$(CONFIG_DRM_I810)	+= i810/
obj-$(CONFIG_DRM_I915)  += i915/
#obj-$(CONFIG_DRM_MGAG200) += mgag200/
#obj-$(CONFIG_DRM_VC4)  += vc4/
#obj-$(CONFIG_DRM_CIRRUS_QEMU) += cirrus/
#obj-$(CONFIG_DRM_SIS)   += sis/
#obj-$(CONFIG_DRM_SAVAGE)+= savage/
#obj-$(CONFIG_DRM_VMWGFX)+= vmwgfx/
#obj-$(CONFIG_DRM_VIA)	+=via/
#obj-$(CONFIG_DRM_VGEM)	+= vgem/
#obj-$(CONFIG_DRM_NOUVEAU) +=nouveau/
#obj-$(CONFIG_DRM_EXYNOS) +=exynos/
#obj-$(CONFIG_DRM_ROCKCHIP) +=rockchip/
#obj-$(CONFIG_DRM_GMA500) += gma500/
#obj-$(CONFIG_DRM_UDL) += udl/
#obj-$(CONFIG_DRM_AST) += ast/
#obj-$(CONFIG_DRM_ARMADA) += armada/
#obj-$(CONFIG_DRM_ATMEL_HLCDC)	+= atmel-hlcdc/
#obj-$(CONFIG_DRM_RCAR_DU) += rcar-du/
#obj-$(CONFIG_DRM_SHMOBILE) +=shmobile/
#obj-y			+= omapdrm/
#obj-$(CONFIG_DRM_SUN4I) += sun4i/
#obj-y			+= tilcdc/
#obj-$(CONFIG_DRM_QXL) += qxl/
#obj-$(CONFIG_DRM_BOCHS) += bochs/
#obj-$(CONFIG_DRM_VIRTIO_GPU) += virtio/
#obj-$(CONFIG_DRM_MSM) += msm/
#obj-$(CONFIG_DRM_TEGRA) += tegra/
#obj-$(CONFIG_DRM_STI) += sti/
#obj-$(CONFIG_DRM_IMX) += imx/
#obj-$(CONFIG_DRM_MEDIATEK) += mediatek/
#obj-y			+= i2c/
#obj-y			+= panel/
#obj-y			+= bridge/
#obj-$(CONFIG_DRM_FSL_DCU) += fsl-dcu/
#obj-$(CONFIG_DRM_ETNAVIV) += etnaviv/
#obj-$(CONFIG_DRM_ARCPGU)+= arc/
#obj-y			+= hisilicon/

=== i915-4.8-4.4-4.8.17/drivers/gpu/drm/i915/Makefile ===
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

subdir-ccflags-$(CONFIG_DRM_I915_WERROR) := -Werror

# Please keep these build lists sorted!

# core driver code
i915_bpo-y := i915_drv.o \
	  i915_irq.o \
	  i915_params.o \
	  i915_pci.o \
          i915_suspend.o \
	  i915_sysfs.o \
	  intel_csr.o \
	  intel_device_info.o \
	  intel_pm.o \
	  intel_runtime_pm.o

i915_bpo-$(CONFIG_COMPAT)   += i915_ioc32.o
i915_bpo-$(CONFIG_DEBUG_FS) += i915_debugfs.o

# GEM code
i915_bpo-y += i915_cmd_parser.o \
	  i915_gem_batch_pool.o \
	  i915_gem_context.o \
	  i915_gem_debug.o \
	  i915_gem_dmabuf.o \
	  i915_gem_evict.o \
	  i915_gem_execbuffer.o \
	  i915_gem_fence.o \
	  i915_gem_gtt.o \
	  i915_gem.o \
	  i915_gem_render_state.o \
	  i915_gem_shrinker.o \
	  i915_gem_stolen.o \
	  i915_gem_tiling.o \
	  i915_gem_userptr.o \
	  i915_gpu_error.o \
	  i915_trace_points.o \
	  intel_breadcrumbs.o \
	  intel_lrc.o \
	  intel_mocs.o \
	  intel_ringbuffer.o \
	  intel_uncore.o

# general-purpose microcontroller (GuC) support
i915_bpo-y += intel_guc_loader.o \
	  i915_guc_submission.o

# autogenerated null render state
i915_bpo-y += intel_renderstate_gen6.o \
	  intel_renderstate_gen7.o \
	  intel_renderstate_gen8.o \
	  intel_renderstate_gen9.o

# modesetting core code
i915_bpo-y += intel_audio.o \
	  intel_atomic.o \
	  intel_atomic_plane.o \
	  intel_bios.o \
	  intel_color.o \
	  intel_display.o \
	  intel_dpio_phy.o \
	  intel_dpll_mgr.o \
	  intel_fbc.o \
	  intel_fifo_underrun.o \
	  intel_frontbuffer.o \
	  intel_hotplug.o \
	  intel_modes.o \
	  intel_overlay.o \
	  intel_psr.o \
	  intel_sideband.o \
	  intel_sprite.o
i915_bpo-$(CONFIG_ACPI)		+= intel_acpi.o intel_opregion.o
i915_bpo-$(CONFIG_DRM_FBDEV_EMULATION)	+= intel_fbdev.o

# modesetting output/encoder code
i915_bpo-y += dvo_ch7017.o \
	  dvo_ch7xxx.o \
	  dvo_ivch.o \
	  dvo_ns2501.o \
	  dvo_sil164.o \
	  dvo_tfp410.o \
	  intel_crt.o \
	  intel_ddi.o \
	  intel_dp_aux_backlight.o \
	  intel_dp_link_training.o \
	  intel_dp_mst.o \
	  intel_dp.o \
	  intel_dsi.o \
	  intel_dsi_dcs_backlight.o \
	  intel_dsi_panel_vbt.o \
	  intel_dsi_pll.o \
	  intel_dvo.o \
	  intel_hdmi.o \
	  intel_i2c.o \
	  intel_lvds.o \
	  intel_panel.o \
	  intel_sdvo.o \
	  intel_tv.o

# virtual gpu code
i915_bpo-y += i915_vgpu.o

ifeq ($(CONFIG_DRM_I915_GVT),y)
i915_bpo-y += intel_gvt.o
include $(src)/gvt/Makefile
endif

obj-$(CONFIG_DRM_I915_BPO)  += i915_bpo.o

CFLAGS_i915_trace_points.o := -I$(src)

=== debian/changelog ===
i915-4.8-4.4-dkms (4.8.17-4somerville1) xenial; urgency=medium

  * Fix build fail issue. (LP: #1822079) 

 -- Cyrus Lien <cyrus.lien@canonical.com>  Mon, 15 Apr 2019 20:38:06 +0800

i915-4.8-4.4-dkms (4.8.17) stable; urgency=low

  * Automatically packaged by DKMS.

 -- Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>  Mon, 15 Apr 2019 20:15:09 +0800

=== debian/control ===
Source: i915-4.8-4.4-dkms
Section: misc
Priority: optional
Maintainer: Dynamic Kernel Modules Support Team <pkg-dkms-maint@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), dkms
Standards-Version: 3.8.1

Package: i915-4.8-4.4-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: i915-4.8-4.4 driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=i915-4.8-4.4
NAME=i915-4.8-4.4
VERSION=4.8.17

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
